// $Id: JGTriggerInfo.cpp,v 1.2 2003/02/02 15:59:26 fukasawa Exp $

//=============================================================================
/**
 *  @file    JGTriggerInfo.cpp
 *
 *  @author  Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2001-2003 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#define BEE_BUILD_DLL

#include "JGTriggerInfo.h"
#include "JGManager.h"
#include "JGVariable.h"

string JGTriggerSubject::_NilString = _TX("");

//
//
// JGTriggerInfo
//
//
//-----------------------------------------------------------------------------
// Constructor/Destractor
//-----------------------------------------------------------------------------
JGTriggerSubject::JGTriggerSubject(const JGTriggerSubject& rhs)
{
    TRACE_FUNCTION(TRL_CONSTRUCT, "JGTriggerSubject::JGTriggerSubject");
    this->copy(rhs);
}

//-----------------------------------------------------------------------------
// Copy
//-----------------------------------------------------------------------------
JGTriggerSubject& JGTriggerSubject::operator=(const JGTriggerSubject& rhs)
{
    TRACE_FUNCTION(TRL_LOW, "JGTriggerSubject::operator=");

    if (this == &rhs)
        return *this;
    this->copy(rhs);
    return *this;
}

//-----------------------------------------------------------------------------
void JGTriggerSubject::copy(const JGTriggerSubject& rhs)
{
    TRACE_FUNCTION(TRL_LOW, "JGTriggerSubject::copy");
    m_trgid = rhs.m_trgid;
    m_trgName = rhs.m_trgName;
    m_priority = rhs.m_priority;
    m_mngr = rhs.m_mngr;
    m_period = rhs.m_period;
}

//-----------------------------------------------------------------------------
// Initial
//-----------------------------------------------------------------------------
int JGTriggerInfo::init()
{
    TRACE_FUNCTION(TRL_LOW, "JGTriggerInfo::init");
    return m_var->init();
}

//-----------------------------------------------------------------------------
// Sense I/O
//-----------------------------------------------------------------------------
int JGTriggerInfo::sense()
{
    TRACE_FUNCTION(TRL_LOW, "JGTriggerInfo::sense");
    return m_var->sense();
}
